# Packmangroup: Games/Fun
# Packmanpackagename: powermanga
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>Powermanga - a shoot 'em up game for X</p>
# Packmanpackagedesc_de: <p>Powermanga - ein Ballerspiel f&uuml;r X</p>

# norootforbuild

Name:           powermanga
Summary:        An arcade 2D shoot-em-up game
Summary(de):    Ein arkade 2D Ballerspiel
License:        GPL-3.0+
Group:          Amusements/Games/Action/Arcade
URL:            http://linux.tlk.fr/games/Powermanga/
Version:        0.92
Release:        1.1

Source0:        powermanga-0.92.tgz
Source1:        powermanga.desktop
Source2:        powermanga_16x16.png
Source3:        powermanga_22x22.png
Source4:        powermanga_32x32.png
Source5:        powermanga_48x48.png

Patch:          optflags.patch

BuildRoot:      %{_tmppath}/%{name}-root
Requires:       SDL
Requires:       SDL_mixer
BuildRequires:  SDL
BuildRequires:  SDL-devel
BuildRequires:  SDL_mixer
BuildRequires:  SDL_mixer-devel
BuildRequires:  update-desktop-files
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  libpng-devel
BuildRequires:  make
BuildRequires:  glibc-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  fdupes

%description
Powermanga is an arcade 2D shoot-em-up game with 41 levels and more than 200
sprites. It runs in 320x200 or 640x400 pixels, with Window mode or full screen
and support for 8, 15, 16, 24, and 32 bpp.

%description -l de
Powermanga - ein Ballerspiel für X



%prep
%setup -q -n %{name}-%{version}
%patch -p1

%build
autoreconf -fi
%configure

%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall

%__install -D -m 0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__sed -i 's,@@BINDIR@@,%{_bindir},g' "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%__install -D -m 0644 "%{SOURCE2}" "%{buildroot}%{_datadir}/pixmaps/%{name}_16x16.png"
%__install -D -m 0644 "%{SOURCE3}" "%{buildroot}%{_datadir}/pixmaps/%{name}_22x22.png"
%__install -D -m 0644 "%{SOURCE4}" "%{buildroot}%{_datadir}/pixmaps/%{name}_32x32.png"
%__install -D -m 0644 "%{SOURCE5}" "%{buildroot}%{_datadir}/pixmaps/%{name}.png"
chmod 755 %{buildroot}%{_prefix}/games/powermanga
%suse_update_desktop_file -r powermanga Game ArcadeGame

%{__mkdir_p} %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
mv ../games/*powermanga ../games/powermangax
mv ../games/powermangax ../games/powermanga
%{__ln_s} ../games/powermanga ./powermanga
cd -

%fdupes -s %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS CHANGES COPYING README
%{_bindir}/powermanga
%{_prefix}/games/powermanga
%{_datadir}/games/powermanga
%doc %{_mandir}/man6/powermanga.6*
%attr(0664,games,games) %config(noreplace) %{_localstatedir}/games/powermanga
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*.png

%changelog
* Wed Aug 27 2014 johannesobermayr@gmx.de
- Update to 0.92
* Sun Sep 13 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- cleanups where rpmlint wasn't so happy
* Mon Oct  1 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.90
* Tue Aug 15 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.80
- added some changes from Pascal Bleser
* Sat Apr  2 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- changed desctop-file position for SuSE 9.3
* Mon Aug  2 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- update to 0.79
* Sat Aug 16 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Added entry into SuSE-Startmenu
* Sat Aug  9 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial spec file
